export default {
    mName : "TitleEcharts",
    edit : "Echarts",
    keys : {
        title: "标题",
        config: {
            title: {
                text: "中心标题",
                subtext: "副标题"
            },
            legend: {
                data: {
                    _name: "图例列表",
                    name: "对应数据名称"
                }
            },
            series: {
                data: {
                    name: "名称",
                    value: "数据",
                    color: "颜色"
                }
            }
        }
    },
    option : {
        title: {
            x: '29%',
            y: '38%',
            textAlign:"center",
            textStyle: {
                fontWeight: 300,
                fontSize: 10,
                color: 'rgba(174, 220, 244, 1)',
                align:"center"
            },
            subtextStyle: {
                color:"rgba(174, 220, 244, 1)",
                fontSize:14,
                align:"center"
            }
        },
        legend: {
            left:"60%",
            right: "0%",
            top:"5%",
            bottom:"5%",
            itemHeight: 8,
            itemWidth: 16,
            itemGap: 10,
            textStyle: {
                fontSize: 12,
                color: '{c}'
            }
        },
        tooltip: {
            show: false
        },
        series: [
            {
                radius: [
                    '35%', '60%'
                ],
                center: [
                    '30%', '45%'
                ],
                type: 'pie',
                label: {
                    normal: {
                        show: false
                    },
                    emphasis: {
                        show: false
                    }
                },
                labelLine: {
                    normal: {
                        show: false
                    },
                    emphasis: {
                        show: false
                    }
                },
                animation: false,
                tooltip: {
                    show: false
                },
                itemStyle: {
                    normal: {
                        color: 'rgba(68, 102, 244, 0.2)'
                    }
                },
                data: [
                    {
                        value: 1
                    }
                ]
            }, {
                radius: [
                    '28%', '35%'
                ],
                center: [
                    '30%', '45%'
                ],
                type: 'pie',
                label: {
                    normal: {
                        show: false
                    },
                    emphasis: {
                        show: false
                    }
                },
                labelLine: {
                    normal: {
                        show: false
                    },
                    emphasis: {
                        show: false
                    }
                },
                animation: false,
                tooltip: {
                    show: false
                },
                itemStyle: {
                    normal: {
                        color: 'rgba(68, 102, 244, 0.2)'
                    }
                },
                data: [
                    {
                        value: 1
                    }
                ]
            }, {
                radius: [
                    '35%', "55%"
                ],
                center: [
                    '30%', '45%'
                ],
                type: 'pie',
                roseType: 'area',
                itemStyle: {
                    normal: {
                        color: params => params.data.color
                    }
                },
                labelLine: {
                    normal: {
                        show: true,
                        length: 16,
                        length2: 14
                    },
                    emphasis: {
                        show: true
                    }
                },
                label: {
                    normal: {
                        show: true,
                        formatter: "{d}%",
                        textStyle: {
                            fontSize: 12
                        }
                    },
                    emphasis: {
                        show: true
                    }
                }
            }
        ]

    },
    data : {
        title: '商品销售额占比统计',
        config: {
            title: {
                text: '销售额(万元)',
                subtext:"8999"
            },
            legend: {
                data: [
                    {
                        name: '野谷米'
                    }, {
                        name: '盛世竹香'
                    }, {
                        name: '玉珍香'
                    },{
                        name: '玉珍香1'
                    },{
                        name: '玉珍香2'
                    }
                ]
            },
            series: [
                null,
                null, {
                    data: [
                        {
                            value: 435,
                            name: '野谷米',
                            color: "rgba(76, 132, 255, 1)"
                        }, {
                            value: 679,
                            name: '盛世竹香',
                            color: "rgba(9, 189, 215, 1)"
                        }, {
                            value: 200,
                            name: '玉珍香',
                            color: "rgba(34, 85, 196, 1)"
                        },{
                            value: 300,
                            name: '玉珍香1',
                            color: "rgba(34, 85, 196, 1)"
                        },{
                            value: 400,
                            name: '玉珍香2',
                            color: "rgba(34, 85, 196, 1)"
                        }
                    ]
                }
            ]
        }
    }
}