import React from "react";
import { Amap } from '../amap';
//气泡
const bubble = x => {
    const length = (x.value + "").length;
    var div = document.createElement('div');
    div.style.backgroundColor = 'rgba(235, 127, 251, 0.2)';
    var size = Math.round(10 + Math.pow(length || 0, 1 / 2) * 30);
    div.style.width = div.style.height = size + 'px';
    div.style.border = 'solid 1px rgba(235, 127, 251, 1)';
    div.style.borderRadius = size / 2 + 'px';
    div.style.boxShadow = '0px 0px 16px 0px rgba(237,156,246,1) inset,0px 0px 3px 0px rgba(237,156,246,.4)';
    div.innerHTML = x.value;
    div.style.lineHeight = size + 'px';
    div.style.color = "rgba(252, 222, 253, 1)";
    div.style.fontSize = '18px';
    div.style.textAlign = 'center';
    return div;
}

//海量点标记
const MarkerClusterer = props => {
    const { __map__: map, config: {
        data: {
            center = [],
            list = []
        }
    } } = props;
    if (!map) {
        console.log('组件必须作为 Map 的子组件使用');
        return;
    }
    function mc() {
        new AMap.MarkerClusterer(map, list.map(x => {
            const marker = new AMap.Marker({
                position: [parseFloat(x.lon), parseFloat(x.lat)]
            });
            marker.setContent(bubble(x));
            marker.on("click", e => {
                console.log(e, 99998);
            });
            return marker;
        }));
    }
    //添加聚合组件
    if (AMap.MarkerClusterer) {
        list.length && mc();
    } else {
        list.length && map.plugin(["AMap.MarkerClusterer"], mc);
    }
    return list.length ? <Zg {...props} /> : "";
}
//全国地图边界
export const Zg = props => {
    const map = props.__map__;
    if (!map) {
        console.log('组件必须作为 Map 的子组件使用');
        return;
    }
    window.AMapUI.loadUI(['geo/DistrictExplorer'], DistrictExplorer => {
        //创建一个实例
        var districtExplorer = new DistrictExplorer({
            map: map
        });
        var adcode = 520000;
        districtExplorer.loadAreaNode(adcode, function (error, areaNode) {
            //更新地图视野
            map.setBounds(areaNode.getBounds(), null, null, true);
            //清除已有的绘制内容
            districtExplorer.clearFeaturePolygons();
            //绘制子区域
            let markers = [];
            districtExplorer.renderSubFeatures(areaNode, function (feature, i) {
                const { properties: { centroid, name } } = feature;
                markers.push(new AMap.Marker({
                    position: centroid,
                    content: name
                }));
                // console.log(feature);
                return {
                    cursor: 'default',
                    bubble: true,
                    strokeColor: 'RGBA(14, 132, 217, 1)', //线颜色
                    strokeOpacity: 1, //线透明度
                    strokeWeight: 1, //线宽
                    fillColor: 'RGBA(12, 73, 125, 1)', //填充色
                    fillOpacity: 0.35, //填充透明度
                };
            });
            map.add(markers);
            //绘制父区域
            districtExplorer.renderParentFeature(areaNode, {
                cursor: 'default',
                bubble: true,
                strokeColor: 'RGBA(14, 132, 217, 1)', //线颜色
                strokeOpacity: 1, //线透明度
                strokeWeight: 1, //线宽
                fillColor: null, //填充色
                fillOpacity: 0.35, //填充透明度
            });
        });
    });
    return "";
}

import { FloatList } from "../floatList/index.jsx";

const SituationMap = props => {
    const { config: {
        data: {
            list = []
        },
        option: {
            geoJson
        }
    } } = props,
        activItem = (list[0] || {});
    //对类型数据进行不同样式赋值
    return (
        <Amap {...props} useAMapUI={e => { window.AMapUIProtocol = "https:" }}>
            <MarkerClusterer {...props}></MarkerClusterer>
        </Amap>
    )
}
export default SituationMap