import React from "react";
import styles from "./index.css";
import {getData} from '../../api/index';
import Edit from '../../components/edit/index';
import Images from './getImg';
export class Weather extends React.Component {
    state = {
        config: {
            data: {
                todayWeather: {},
                castWeather: []
            }
        }
    }
    componentWillReceiveProps(props){
        const {RequestData,match = {}} = props,
        {RequestData:_RequestData} = this.props,{
            params = {}
        } = match;
        RequestData != _RequestData && getData({
            port: 'Weather', //组件名称
            ...params,
            params:RequestData
        }).then(res => {
            const {config} = res;
            this.setState({config});
        });
    }
    render() {
        const {
                config,
                config: {
                    data: {
                        todayWeather: nowDay = {},
                        castWeather = []
                    }
                }
            } = this.state,
            nextDay = castWeather[0] || {};
        return (
            <div className={styles.weatherWarp}>
                <Edit data={config} updata={config => this.setState({config})}/>
                <span className={styles.rightLine}>
                    <i className={styles.titleSite}></i>
                    {nowDay.cityName}
                </span>
                <div className={styles.weather}>
                    <img src={Images[nowDay.weather+'']} height="32" width="32"/>
                    <ul className={styles.weatherUl}>
                        <li>{nowDay.currDate} {nowDay.week}</li>
                        <li>（{nowDay.minTemp}
                            ℃ ~ {nowDay.maxTemp}
                            ℃）</li>
                    </ul>
                    <img src={Images[nextDay.castWeaDesc+'']} height="32" width="32"/>
                    <ul className={styles.weatherUl}>
                        <li>{nextDay.castDate} {nextDay.castWeek}</li>
                        <li>（{nextDay.castMinTemp}
                            ℃ ~ {nextDay.castMaxTemp}
                            ℃）</li>
                    </ul>
                </div>
            </div>
        )
    }
}
export default Weather;