import React, { Component } from "react";
import styles from './index.css';
import { getData } from '../../api/index';
import Amap, { GeoJSON } from '../../components/amap/index';
import { DistributedList } from '../../components/DistributedList/index.jsx';
import Box from '../../components/Box/index.jsx';

import { Zg } from '../../components/Map/SituationMap';
import { LevelList1 } from '../../components/LevelList1/index.jsx';
import { NumTostring } from '../../components/numTostring/index';
class Distributed extends Component {
    state = {
        mapConfig: {
            data: {
                noEdit: true,
                amapkey: '',
                map: {

                },
                legend: [],
                covers: []
            }
        },
        CropCount: {
            data: {
                title: "",
                list: []
            }
        },
        ParkList: {
            mId: "",
            pId: "",
            data: {
                title: "",
                list: []
            }
        },
        item: {},
        activeIndex: 0
    }
    componentDidMount() {
        this.getAllData();
    }
    getAllData = (id = "") => {
        const { match: { params = {} } } = this.props;
        getData({
            port: "CropCount",
            ...params,
            id //数据ID
        }).then(res => {
            const { config } = res;
            this.setState({ CropCount: config });
        });
        getData({
            port: "ParkList",
            ...params,
            id //数据ID
        }).then(res => {
            const { code } = res;
            let { config = { data: { legend: [], list: [] } } } = res;
            //绑定点击处理
            config.data.list = config.data.list.map((x, i) => {
                //绑定点击事件
                x.events = {
                    click: e => {
                        this.activePoint(x, true, i);
                    }
                }
                //绑定图例对象到项
                x._legend = config.data.legend[x.legend - 1 || 0];
                //设置url跳转路由

                return x;
            });
            const covers = config.data.list.map((x, i) => {
                x.legend = x.legend || 1;
                const position = x.lnglat.map(x => {
                    const v = x - 0;
                    return v ? v : 1;
                });
                return {
                    ...x,
                    id: x.id,
                    type: "Marker",
                    position,
                    value: "",
                    style: {
                        strokeColor: "#FF0000",
                        fillColor: "rgba(255,0,0,0.5)"
                    }
                }
            });
            if (!code) {
                this.setState({
                    ParkList: config, mapConfig: {
                        data: {
                            amapkey: '',
                            map: {

                            },
                            legend: config.data.legend.map(x => {
                                return {
                                    ...x,
                                    content: "diffusionMarkerIcon"
                                }
                            }),
                            covers
                        }
                    }
                })
            }
        });
    }
    activePoint = (e, show, activeIndex) => {
        this.addPoint(e);
        this.setState({ activeIndex, item: e });
    }
    render() {
        const { mapConfig, CropCount, ParkList, activeIndex } = this.state;
        return (
            <div className={styles.box}>
                <Amap {...this.props} config={mapConfig} addPoint={e => this.addPoint = e}>
                    <Zg></Zg>
                </Amap>
                <div className={styles.ListBox}>
                    <Box style={{ height: "25%" }}>
                        <LevelList1 style={{ position: "relative" }} data={CropCount}></LevelList1>
                        <div className={styles.Line}></div>
                        <div className={styles.merchantsBody}>
                            <div className={styles.viewName}>
                                {CropCount.data.title}
                            </div>
                            <div className={styles.viewVal}>
                                <NumTostring>{((CropCount || {}).data || {}).value}</NumTostring>
                            </div>
                        </div>
                    </Box>
                    <br />
                    <Box style={{ height: "75%" }}>
                        <DistributedList {...this.props} style={{ height: "100%" }} activePoint={(e, show, activeIndex) => this.activePoint(e, show, activeIndex)} activeIndex={activeIndex} data={ParkList} />
                    </Box>
                </div>
            </div>
        );
    }
}
export default Distributed;