import React from 'react';
import styles from './Situation.css';
import Box from "../components/Box/index.jsx";
import {TitleListText} from "../components/TitleListText/index.jsx";
import {VerticalList} from "../components/VerticalList/index.jsx";
import TitleEcharts from "../components/TitleEcharts/index.jsx";
import TitlePieList from "../components/TitlePieList/index.jsx";
import SituationMap from '../components/Map/SituationMap';
import {getData} from "../api/index";
import {Scroll} from "../components/Animation/index";

import {TableScroll} from "../components/TableScroll/index";
import {Merchants} from "../components/Merchants";
import {HorizontalListTitle} from "../components/HorizontalListTitle";
import {DropDownList} from "../components/DropDownList";

export default class Situation extends React.Component {
    state = {
        kindId: '',
        itemId: "",
        pointData: {},

        FirmExplanation: {
            mId: "",
            pId: "",
            data: {
                title: "",
                introduce: '',
                list: []
            }
        },
        MapDataNav: {
            data: {
                list: []
            }
        },
        MapDataNavEcharts:{
            data:{

            }
        },
        //bottom Table Data
        MapDataNavTable: {
            data:{

            }
        },
        MapDataNavTable1:{
            data:{

            }
        },
        merchantsData:{
            data: {
                title: "",
                list: []
            }
        },
        //top right Echarts pie Data
        YieldScale:{
            data:{

            }
        },
        //top right Echarts pie Data
        SalesRatio:{
            data:{

            }
        },
        //top right Echarts pie Data 2
        YearOutputSales:{
            data:{

            }
        },
        //right pieList 3
        InfoCount: {
            data: {
                list: []
            }
        },
        HorizontalListTitleData:{
            data: {
                list: []
            }
        },
        mapConfig: {
            option:{
                geoJson:{
                    
                }
            },
            data: {
                amapkey: '',
                map: {},
                legend: [],
                covers: []
            }
        }
    }
    getAllData = (id = "") => {
        const {
            match: {
                params = {}
            }
        } = this.props;
        //left top 标题 列表 描述
        getData({
            port:"FirmExplanation",
            ...params,
            id //数据ID
        }).then(res => {
            const {config} = res;
            this.setState({FirmExplanation: config});
        });
        //left bottom 竖向列表
        getData({
            port:"MapDataNav",
            ...params,
            id //数据ID
        }).then(res => {
            const {config,config:{
                data:{
                    list = []
                }
            }} = res;
            this.setState({MapDataNav: config});
            list.length && this.itemClick(list[0]);
        });

        getData({
            port:"merchantsData",
            ...params,
            id //数据ID
        }).then(res => {
            const {config} = res;
            this.setState({merchantsData: config});
        });

        getData({
            port:"HorizontalListTitleData",
            ...params,
            id //数据ID
        }).then(res => {
            const {config,config:{
                data:{
                    list = []
                }
            }} = res;
            this.setState({HorizontalListTitleData: config});
            list.length && this.titleClick(list[0]);
        });

        getData({
            port:"DropDownListData",
            ...params,
            id //数据ID
        }).then(res => {
            const {config,config:{
                data:{
                    list = []
                }
            }} = res;
            this.setState({DropDownListData: config});
            list.length && this.dropDownClick(list[0]);

        });
        
        //SalesRatio
        getData({
            port: 'YieldScale', //组件名称
            ...params,
            id //数据ID
        }).then(res => {
            const {config} = res;
            this.setState({YieldScale: config});
        });
        
        getData({
            port:"YearOutputSales",
            ...params,
            id //数据ID
        }).then(res => {
            const {config} = res;
            this.setState({YearOutputSales: config});
        });
        //InfoCount  中心圆环列表组件数据
        getData({
            port:"InfoCount",
            ...params,
            id
        }).then(res => {
            const {config} = res;
            this.setState({InfoCount: config});
        });

        //DropDownListData
        getData({
            port:"DropDownListData",
            ...params,
            id
        }).then(res => {
            const {config} = res;
            this.setState({DropDownListData: config});
        });
    }

    //标题类切换 点击
    titleClick = e =>{
        const {
            match: {
                params = {}
            }
        } = this.props;
        const Obj = {
            ...params,
            params:e,
            id:e.id
        };
        //SalesRatio
        getData({
            port:"SalesRatio",
            ...Obj,
        }).then(res => {
            const {config} = res;
            this.setState({SalesRatio: config});
        });
    }
    //分类下拉点击切换
    dropDownClick = e=>{
        const {
            match: {
                params = {}
            }
        } = this.props;
        const Obj = {
            ...params,
            params:e,
            id:e.id
        };
        getData({
            ...Obj,
            port:"MapDataNavEcharts"
        }).then(res => {
            const {config} = res;
            this.setState({MapDataNavEcharts: config});
        });
    }


    componentDidMount() {
        //初始组件数据
        this.getAllData();
    }
    itemClick = e => {
        const {
            match: {
                params = {}
            }
        } = this.props;
        const Obj = {
            ...params,
            params:e,
            id:e.id
        };
        //bottom Table Data    TitleTable
        getData({
            ...Obj,
            port:"MapDataNavTable"
        }).then(res => {
            const {config} = res;
            this.setState({MapDataNavTable: config});
        });
        getData({
            ...Obj,
            port:"MapDataNavTable1"
        }).then(res => {
            const {config} = res;
            this.setState({MapDataNavTable1: config});
        });
        
        //获取地图数据
        getData({
            ...Obj,
            port:"MapPointData"
        }).then(res => {
            const {code, config} = res;
            if (!code) {
                this.setState({mapConfig: config})
            }
        });
    }
    render() {
        const {
            FirmExplanation,
            MapDataNav,
            MapDataNavTable,
            MapDataNavTable1,
            MapDataNavEcharts,
            merchantsData,
            HorizontalListTitleData,
            DropDownListData,
            YieldScale,
            SalesRatio,
            YearOutputSales,
            InfoCount,
            mapConfig
        } = this.state;
        return (
            <div
                className={styles.flexWarp}
                style={{
                height: "100%"
            }}>
                <div className={styles.colLeft}>
                    <Box style={{
                        height: "68%"
                    }}>
                        <TitleListText data={FirmExplanation}/>
                    </Box>
                    <Box
                        style={{
                        height: "calc(32% - 10px)",
                        marginTop: "10px"
                    }}>
                        <VerticalList data={MapDataNav} itemClick={e => this.itemClick(e)}/>
                    </Box>
                </div>
                <div className={styles.colMiddle}>
                    <SituationMap config={mapConfig}/>
                    <div style={{
                            height: "30%",
                            display:"flex"
                        }}>
                        <Box style={{
                            height: "100%",
                            flex:1,
                            marginRight:'5px'
                        }}>
                            <TableScroll data={MapDataNavTable}/>
                        </Box>
                        <Box style={{
                            height: "100%",
                            flex:1,
                            marginLeft:'5px'
                        }}>
                            <TableScroll data={MapDataNavTable1}/>
                        </Box>
                    </div>
                    
                </div>
                <Scroll className={styles.colRight}>
                    <Box className={styles.ItemBox}>
                        <DropDownList data={DropDownListData} click={e=>this.dropDownClick(e)}></DropDownList>
                        <TitleEcharts hideTitle={true} data={MapDataNavEcharts}></TitleEcharts>
                        {/* <TitleEcharts data={YieldScale} showTable={true}></TitleEcharts> */}
                    </Box>
                    <Box className={styles.ItemBox}>
                        <HorizontalListTitle style={{position:'relative'}} data={HorizontalListTitleData} click={e=>this.titleClick(e)} />
                        <TitleEcharts hideTitle={true} data={SalesRatio} showTable={false}></TitleEcharts>
                    </Box>
                    <Box className={styles.ItemBox}>
                        <Merchants data={merchantsData}/>
                        {/* <TitleEcharts data={YearOutputSales}></TitleEcharts> */}
                    </Box>
                    {/* <Box className={styles.ItemBox}>
                        <TitlePieList data={InfoCount} row={2}></TitlePieList>
                    </Box> */}
                </Scroll>
            </div>
        )
    }
}